<?php
include('is_logged.php');
require_once ("../config/db.php");
require_once ("../config/conexion.php");

$id_composicion = intval($_POST['id_composicion']);
$nueva_cantidad = floatval($_POST['cantidad']);

if ($id_composicion > 0 && $nueva_cantidad > 0) {
    $sql = "UPDATE composicion_producto_final SET cantidad = '$nueva_cantidad' WHERE id = '$id_composicion'";
    if (mysqli_query($con, $sql)) {
        echo "Cantidad actualizada exitosamente.";
    } else {
        echo "Error: " . mysqli_error($con);
    }
} else {
    echo "Datos inválidos.";
}
?>